summaryrefslogtreecommitdiffstats
path: root/.config/herbstluftwm/panel.sh
diff options
context:
space:
mode:
authorGravatar Tom Willemsen2012-04-21 16:59:18 +0200
committerGravatar Tom Willemsen2012-04-21 16:59:18 +0200
commit3431b2ecea1f94af0e77d0a6ecd8d28b02d9ccae (patch)
tree11b9e4b48dc5adb206a25e61d9d2e9c22a233ca1 /.config/herbstluftwm/panel.sh
parenteebebe3686593808665eec4d7bfb8de5739b50f8 (diff)
downloaddotfiles-3431b2ecea1f94af0e77d0a6ecd8d28b02d9ccae.tar.gz
dotfiles-3431b2ecea1f94af0e77d0a6ecd8d28b02d9ccae.zip
.config/herbstluftwm/panel.sh
Diffstat (limited to '.config/herbstluftwm/panel.sh')
-rwxr-xr-x.config/herbstluftwm/panel.sh35
1 files changed, 17 insertions, 18 deletions
diff --git a/.config/herbstluftwm/panel.sh b/.config/herbstluftwm/panel.sh
index 0946e3d..2c93a4a 100755
--- a/.config/herbstluftwm/panel.sh
+++ b/.config/herbstluftwm/panel.sh
@@ -122,27 +122,26 @@ herbstclient pad $monitor2 -5 -5 -5 -5
} 2> /dev/null | {
TAGS=( $(herbstclient tag_status $monitor) )
TAGS2=( $(herbstclient tag_status $monitor2) )
- while true ; do
- separator="^fg($bgcolor)^ro(1x$height)^fg()"
- print_tags
- print_services
- print_mailboxes
- echo
+ separator="^fg($bgcolor)^ro(1x$height)^fg()"
+ print_tags
+ print_services
+ print_mailboxes
+
+ echo
# wait for next event
- read line || break
- cmd=( $line )
+ read line || break
+ cmd=( $line )
# find out event origin
- case "${cmd[0]}" in
- tag*)
- TAGS=( $(herbstclient tag_status $monitor) )
- TAGS2=( $(herbstclient tag_status $monitor2) )
- ;;
- quit_panel)
- exit
- ;;
- esac
- done
+ case "${cmd[0]}" in
+ tag*)
+ TAGS=( $(herbstclient tag_status $monitor) )
+ TAGS2=( $(herbstclient tag_status $monitor2) )
+ ;;
+ quit_panel)
+ exit
+ ;;
+ esac
} 2> /dev/null | dzen2 -w $width -x $x -y $y -fn "$font" -h $height \
-ta l -bg "$bgcolor"